Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "Benedikt Boehm (hollow)" <hollow@g.o>
Subject: gentoo-x86 commit in app-admin/apachetop: apachetop-0.12.6.ebuild metadata.xml ChangeLog apachetop-0.12.5-r1.ebuild
Date: Sat, 23 Feb 2008 20:26:07 +0000
hollow      08/02/23 20:26:07

  Modified:             apachetop-0.12.6.ebuild metadata.xml ChangeLog
  Removed:              apachetop-0.12.5-r1.ebuild
  Log:
  fix #198553; remove old version
  (Portage version: 2.1.4.4)

Revision  Changes    Path
1.9                  app-admin/apachetop/apachetop-0.12.6.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/apachetop/apachetop-0.12.6.ebuild?rev=1.9&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/apachetop/apachetop-0.12.6.ebuild?rev=1.9&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/apachetop/apachetop-0.12.6.ebuild?r1=1.8&r2=1.9

Index: apachetop-0.12.6.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-admin/apachetop/apachetop-0.12.6.ebuild,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -r1.8 -r1.9
--- apachetop-0.12.6.ebuild	10 Dec 2006 08:48:36 -0000	1.8
+++ apachetop-0.12.6.ebuild	23 Feb 2008 20:26:07 -0000	1.9
@@ -1,8 +1,8 @@
-# Copyright 1999-2006 Gentoo Foundation
+# Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-admin/apachetop/apachetop-0.12.6.ebuild,v 1.8 2006/12/10 08:48:36 beu Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-admin/apachetop/apachetop-0.12.6.ebuild,v 1.9 2008/02/23 20:26:07 hollow Exp $
 
-inherit eutils
+inherit eutils autotools
 
 DESCRIPTION="A realtime Apache log analyzer"
 HOMEPAGE="http://www.webta.org/projects/apachetop"
@@ -11,7 +11,7 @@
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="amd64 hppa ~mips ppc sparc x86"
-IUSE="apache2 fam pcre adns"
+IUSE="fam pcre adns"
 
 DEPEND="fam? ( virtual/fam )
 	pcre? ( dev-libs/libpcre )
@@ -19,19 +19,22 @@
 
 src_unpack() {
 	unpack ${A}
-
 	cd "${S}"
 	epatch "${FILESDIR}"/${P}-gcc41.patch
+	epatch "${FILESDIR}"/${P}-configure.patch
+	eautoreconf
 }
 
 src_compile() {
-	useq apache2 && logfile="/var/log/apache2/access_log"
-	useq apache2 || logfile="/var/log/apache/access_log"
-	econf --with-logfile="${logfile}" `use_with fam` `use_with pcre` `use_with adns` || die "econf failed"
+	econf --with-logfile=/var/log/apache2/access_log \
+		$(use_with fam) \
+		$(use_with pcre) \
+		$(use_with adns) \
+		|| die "econf failed"
 	emake || die "emake failed"
 }
 
 src_install() {
-	make DESTDIR=${D} install || die "make install failed"
+	make DESTDIR="${D}" install || die "make install failed"
 	dodoc AUTHORS ChangeLog INSTALL NEWS README TODO
 }



1.2                  app-admin/apachetop/metadata.xml

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/apachetop/metadata.xml?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/apachetop/metadata.xml?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/apachetop/metadata.xml?r1=1.1&r2=1.2

Index: metadata.xml
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-admin/apachetop/metadata.xml,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- metadata.xml	4 Oct 2003 20:25:07 -0000	1.1
+++ metadata.xml	23 Feb 2008 20:26:07 -0000	1.2
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-<herd>web-apps</herd>
+	<herd>apache</herd>
 </pkgmetadata>



1.43                 app-admin/apachetop/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/apachetop/ChangeLog?rev=1.43&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/apachetop/ChangeLog?rev=1.43&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-admin/apachetop/ChangeLog?r1=1.42&r2=1.43

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-admin/apachetop/ChangeLog,v
retrieving revision 1.42
retrieving revision 1.43
diff -u -r1.42 -r1.43
--- ChangeLog	10 Dec 2006 08:48:36 -0000	1.42
+++ ChangeLog	23 Feb 2008 20:26:07 -0000	1.43
@@ -1,6 +1,11 @@
 # ChangeLog for app-admin/apachetop
-# Copyright 2000-2006 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-admin/apachetop/ChangeLog,v 1.42 2006/12/10 08:48:36 beu Exp $
+# Copyright 2000-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/app-admin/apachetop/ChangeLog,v 1.43 2008/02/23 20:26:07 hollow Exp $
+
+  23 Feb 2008; Benedikt Böhm <hollow@g.o>
+  +files/apachetop-0.12.6-configure.patch, -files/CAN-2005-2660.patch,
+  metadata.xml, -apachetop-0.12.5-r1.ebuild, apachetop-0.12.6.ebuild:
+  fix #198553; remove old version
 
   10 Dec 2006; Elfyn McBratney <beu@g.o> apachetop-0.12.5-r1.ebuild,
   apachetop-0.12.6.ebuild:



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in dev-python/pytables: pytables-2.0.2.ebuild
Next by thread:
gentoo-x86 commit in app-admin/apachetop/files: apachetop-0.12.6-configure.patch CAN-2005-2660.patch
Previous by date:
gentoo-x86 commit in sys-fs/redirfs: redirfs-0.2.ebuild
Next by date:
gentoo-x86 commit in app-admin/apachetop/files: apachetop-0.12.6-configure.patch CAN-2005-2660.patch


Updated May 18, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.